Search documentation of stripe_elixir

# StripeElixir.Services.ReviewService (stripe_elixir v0.1.0)

Copy Markdown View Source

RadarReview

Reviews can be used to supplement automated fraud detection with human expertise.

Learn more about Radar and reviewing payments here.

## Summary

### Functions

approve(client, review, params \\ %{}, opts \\ [])

Approve a review

list(client, params \\ %{}, opts \\ [])

List all open reviews

retrieve(client, review, params \\ %{}, opts \\ [])

Retrieve a review

## Functions

# approve(client, review, params \\ %{}, opts \\ [])

    @spec approve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Approve a review

Approves a `Review` object, closing it and removing it from the list of reviews.

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List all open reviews

Returns a list of `Review` objects that have `open` set to `true`. The objects are sorted in descending order by creation date, with the most recently created object appearing first.

# retrieve(client, review, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a review

Retrieves a `Review` object.